diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/non-ht/dsss-ppdu.cc ns-3.44/src/wifi/model/non-ht/dsss-ppdu.cc
--- ns-3.43/src/wifi/model/non-ht/dsss-ppdu.cc	2024-10-09 16:41:10.124656700 -0700
+++ ns-3.44/src/wifi/model/non-ht/dsss-ppdu.cc	2025-03-09 16:55:49.795372700 -0700
@@ -45,7 +45,7 @@
                         const WifiTxVector& txVector,
                         Time ppduDuration) const
 {
-    dsssSig.SetRate(txVector.GetMode().GetDataRate(22));
+    dsssSig.SetRate(txVector.GetMode().GetDataRate(MHz_u{22}));
     Time psduDuration = ppduDuration - WifiPhy::CalculatePhyPreambleAndHeaderDuration(txVector);
     dsssSig.SetLength(psduDuration.GetMicroSeconds());
 }
@@ -55,7 +55,7 @@
 {
     WifiTxVector txVector;
     txVector.SetPreambleType(m_preamble);
-    txVector.SetChannelWidth(22);
+    txVector.SetChannelWidth(MHz_u{22});
     SetTxVectorFromDsssHeader(txVector, m_dsssSig);
     return txVector;
 }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/non-ht/dsss-ppdu.h ns-3.44/src/wifi/model/non-ht/dsss-ppdu.h
--- ns-3.43/src/wifi/model/non-ht/dsss-ppdu.h	2024-10-09 16:41:10.124656700 -0700
+++ ns-3.44/src/wifi/model/non-ht/dsss-ppdu.h	2025-03-09 16:55:49.795372700 -0700
@@ -14,8 +14,8 @@
 #include "ns3/wifi-ppdu.h"
 
 /**
- * \file
- * \ingroup wifi
+ * @file
+ * @ingroup wifi
  * Declaration of ns3::DsssPpdu class.
  */
 
@@ -25,8 +25,8 @@
 class WifiPsdu;
 
 /**
- * \brief DSSS (HR/DSSS) PPDU (11b)
- * \ingroup wifi
+ * @brief DSSS (HR/DSSS) PPDU (11b)
+ * @ingroup wifi
  *
  * DsssPpdu stores a preamble, PHY headers and a PSDU of a PPDU with DSSS modulation.
  */
@@ -45,25 +45,25 @@
         /**
          * Fill the RATE field of L-SIG (in bit/s).
          *
-         * \param rate the RATE field of L-SIG expressed in bit/s
+         * @param rate the RATE field of L-SIG expressed in bit/s
          */
         void SetRate(uint64_t rate);
         /**
          * Return the RATE field of L-SIG (in bit/s).
          *
-         * \return the RATE field of L-SIG expressed in bit/s
+         * @return the RATE field of L-SIG expressed in bit/s
          */
         uint64_t GetRate() const;
         /**
          * Fill the LENGTH field of L-SIG (in bytes).
          *
-         * \param length the LENGTH field of L-SIG expressed in bytes
+         * @param length the LENGTH field of L-SIG expressed in bytes
          */
         void SetLength(uint16_t length);
         /**
          * Return the LENGTH field of L-SIG (in bytes).
          *
-         * \return the LENGTH field of L-SIG expressed in bytes
+         * @return the LENGTH field of L-SIG expressed in bytes
          */
         uint16_t GetLength() const;
 
@@ -75,11 +75,11 @@
     /**
      * Create a DSSS (HR/DSSS) PPDU.
      *
-     * \param psdu the PHY payload (PSDU)
-     * \param txVector the TXVECTOR that was used for this PPDU
-     * \param channel the operating channel of the PHY used to transmit this PPDU
-     * \param ppduDuration the transmission duration of this PPDU
-     * \param uid the unique ID of this PPDU
+     * @param psdu the PHY payload (PSDU)
+     * @param txVector the TXVECTOR that was used for this PPDU
+     * @param channel the operating channel of the PHY used to transmit this PPDU
+     * @param ppduDuration the transmission duration of this PPDU
+     * @param uid the unique ID of this PPDU
      */
     DsssPpdu(Ptr<const WifiPsdu> psdu,
              const WifiTxVector& txVector,
@@ -96,17 +96,17 @@
     /**
      * Fill in the PHY headers.
      *
-     * \param txVector the TXVECTOR that was used for this PPDU
-     * \param ppduDuration the transmission duration of this PPDU
+     * @param txVector the TXVECTOR that was used for this PPDU
+     * @param ppduDuration the transmission duration of this PPDU
      */
     void SetPhyHeaders(const WifiTxVector& txVector, Time ppduDuration);
 
     /**
      * Fill in the DSSS header.
      *
-     * \param dsssSig the DSSS header to fill in
-     * \param txVector the TXVECTOR that was used for this PPDU
-     * \param ppduDuration the transmission duration of this PPDU
+     * @param dsssSig the DSSS header to fill in
+     * @param txVector the TXVECTOR that was used for this PPDU
+     * @param ppduDuration the transmission duration of this PPDU
      */
     void SetDsssHeader(DsssSigHeader& dsssSig,
                        const WifiTxVector& txVector,
@@ -115,8 +115,8 @@
     /**
      * Fill in the TXVECTOR from DSSS header.
      *
-     * \param txVector the TXVECTOR to fill in
-     * \param dsssSig the DSSS header
+     * @param txVector the TXVECTOR to fill in
+     * @param dsssSig the DSSS header
      */
     virtual void SetTxVectorFromDsssHeader(WifiTxVector& txVector,
                                            const DsssSigHeader& dsssSig) const;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/non-ht/erp-information.h ns-3.44/src/wifi/model/non-ht/erp-information.h
--- ns-3.43/src/wifi/model/non-ht/erp-information.h	2024-10-09 16:41:10.124656700 -0700
+++ ns-3.44/src/wifi/model/non-ht/erp-information.h	2025-03-09 16:55:49.795372700 -0700
@@ -15,8 +15,8 @@
 {
 
 /**
- * \brief The ErpInformation Information Element
- * \ingroup wifi
+ * @brief The ErpInformation Information Element
+ * @ingroup wifi
  *
  * This class knows how to serialise and deserialise the ErpInformation Information Element.
  */
@@ -34,39 +34,39 @@
     /**
      * Set the Barker_Preamble_Mode field in the ErpInformation information element.
      *
-     * \param barkerPreambleMode the Barker_Preamble_Mode field in the ErpInformation information
+     * @param barkerPreambleMode the Barker_Preamble_Mode field in the ErpInformation information
      * element
      */
     void SetBarkerPreambleMode(uint8_t barkerPreambleMode);
     /**
      * Set the Use_Protection field in the ErpInformation information element.
      *
-     * \param useProtection the Use_Protection field in the ErpInformation information element
+     * @param useProtection the Use_Protection field in the ErpInformation information element
      */
     void SetUseProtection(uint8_t useProtection);
     /**
      * Set the Non_Erp_Present field in the ErpInformation information element.
      *
-     * \param nonErpPresent the Non_Erp_Present field in the ErpInformation information element
+     * @param nonErpPresent the Non_Erp_Present field in the ErpInformation information element
      */
     void SetNonErpPresent(uint8_t nonErpPresent);
 
     /**
      * Return the Barker_Preamble_Mode field in the ErpInformation information element.
      *
-     * \return the Barker_Preamble_Mode field in the ErpInformation information element
+     * @return the Barker_Preamble_Mode field in the ErpInformation information element
      */
     uint8_t GetBarkerPreambleMode() const;
     /**
      * Return the Use_Protection field in the ErpInformation information element.
      *
-     * \return the Use_Protection field in the ErpInformation information element
+     * @return the Use_Protection field in the ErpInformation information element
      */
     uint8_t GetUseProtection() const;
     /**
      * Return the Non_Erp_Present field in the ErpInformation information element.
      *
-     * \return the Non_Erp_Present field in the ErpInformation information element
+     * @return the Non_Erp_Present field in the ErpInformation information element
      */
     uint8_t GetNonErpPresent() const;
 
@@ -77,10 +77,10 @@
 /**
  * output stream output operator
  *
- * \param os output stream
- * \param erpInformation the ERP Information
+ * @param os output stream
+ * @param erpInformation the ERP Information
  *
- * \returns output stream
+ * @returns output stream
  */
 std::ostream& operator<<(std::ostream& os, const ErpInformation& erpInformation);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/non-ht/erp-ofdm-phy.cc ns-3.44/src/wifi/model/non-ht/erp-ofdm-phy.cc
--- ns-3.43/src/wifi/model/non-ht/erp-ofdm-phy.cc	2024-10-09 16:41:10.124656700 -0700
+++ ns-3.44/src/wifi/model/non-ht/erp-ofdm-phy.cc	2025-03-09 16:55:49.795372700 -0700
@@ -55,7 +55,7 @@
 /**
  * Get the array of possible ERP OFDM rates.
  *
- * \return the ERP OFDM rates in bits per second
+ * @return the ERP OFDM rates in bits per second
  */
 const std::array<uint64_t, 8>&
 GetErpOfdmRatesBpsList()
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/non-ht/erp-ofdm-phy.h ns-3.44/src/wifi/model/non-ht/erp-ofdm-phy.h
--- ns-3.43/src/wifi/model/non-ht/erp-ofdm-phy.h	2024-10-09 16:41:10.124656700 -0700
+++ ns-3.44/src/wifi/model/non-ht/erp-ofdm-phy.h	2025-03-09 16:55:49.795372700 -0700
@@ -14,8 +14,8 @@
 #include "ofdm-phy.h"
 
 /**
- * \file
- * \ingroup wifi
+ * @file
+ * @ingroup wifi
  * Declaration of ns3::ErpOfdmPhy class.
  */
 
@@ -23,8 +23,8 @@
 {
 
 /**
- * \brief PHY entity for ERP-OFDM (11g)
- * \ingroup wifi
+ * @brief PHY entity for ERP-OFDM (11g)
+ * @ingroup wifi
  *
  * ERP-OFDM PHY is based on OFDM PHY.
  * ERP-DSSS/CCK mode is not supported.
@@ -56,57 +56,57 @@
      * Return a WifiMode for ERP-OFDM
      * corresponding to the provided rate.
      *
-     * \param rate the rate in bps
-     * \return a WifiMode for ERP-OFDM
+     * @param rate the rate in bps
+     * @return a WifiMode for ERP-OFDM
      */
     static WifiMode GetErpOfdmRate(uint64_t rate);
 
     /**
      * Return a WifiMode for ERP-OFDM at 6 Mbps.
      *
-     * \return a WifiMode for ERP-OFDM at 6 Mbps
+     * @return a WifiMode for ERP-OFDM at 6 Mbps
      */
     static WifiMode GetErpOfdmRate6Mbps();
     /**
      * Return a WifiMode for ERP-OFDM at 9 Mbps.
      *
-     * \return a WifiMode for ERP-OFDM at 9 Mbps
+     * @return a WifiMode for ERP-OFDM at 9 Mbps
      */
     static WifiMode GetErpOfdmRate9Mbps();
     /**
      * Return a WifiMode for ERP-OFDM at 12 Mbps.
      *
-     * \return a WifiMode for ERP-OFDM at 12 Mbps
+     * @return a WifiMode for ERP-OFDM at 12 Mbps
      */
     static WifiMode GetErpOfdmRate12Mbps();
     /**
      * Return a WifiMode for ERP-OFDM at 18 Mbps.
      *
-     * \return a WifiMode for ERP-OFDM at 18 Mbps
+     * @return a WifiMode for ERP-OFDM at 18 Mbps
      */
     static WifiMode GetErpOfdmRate18Mbps();
     /**
      * Return a WifiMode for ERP-OFDM at 24 Mbps.
      *
-     * \return a WifiMode for ERP-OFDM at 24 Mbps
+     * @return a WifiMode for ERP-OFDM at 24 Mbps
      */
     static WifiMode GetErpOfdmRate24Mbps();
     /**
      * Return a WifiMode for ERP-OFDM at 36 Mbps.
      *
-     * \return a WifiMode for ERP-OFDM at 36 Mbps
+     * @return a WifiMode for ERP-OFDM at 36 Mbps
      */
     static WifiMode GetErpOfdmRate36Mbps();
     /**
      * Return a WifiMode for ERP-OFDM at 48 Mbps.
      *
-     * \return a WifiMode for ERP-OFDM at 48 Mbps
+     * @return a WifiMode for ERP-OFDM at 48 Mbps
      */
     static WifiMode GetErpOfdmRate48Mbps();
     /**
      * Return a WifiMode for ERP-OFDM at 54 Mbps.
      *
-     * \return a WifiMode for ERP-OFDM at 54 Mbps
+     * @return a WifiMode for ERP-OFDM at 54 Mbps
      */
     static WifiMode GetErpOfdmRate54Mbps();
 
@@ -115,8 +115,8 @@
      * ModulationLookupTable. This is mainly used as a callback for
      * WifiMode operation.
      *
-     * \param name the unique name of the ERP-OFDM mode
-     * \return WifiCodeRate corresponding to the unique name
+     * @param name the unique name of the ERP-OFDM mode
+     * @return WifiCodeRate corresponding to the unique name
      */
     static WifiCodeRate GetCodeRate(const std::string& name);
     /**
@@ -124,8 +124,8 @@
      * ModulationLookupTable. This is mainly used as a callback for
      * WifiMode operation.
      *
-     * \param name the unique name of the ERP-OFDM mode
-     * \return constellation size corresponding to the unique name
+     * @param name the unique name of the ERP-OFDM mode
+     * @return constellation size corresponding to the unique name
      */
     static uint16_t GetConstellationSize(const std::string& name);
     /**
@@ -133,10 +133,10 @@
      * the supplied parameters. This function calls OfdmPhy::CalculatePhyRate
      * and is mainly used as a callback for WifiMode operation.
      *
-     * \param name the unique name of the ERP-OFDM mode
-     * \param channelWidth the considered channel width
+     * @param name the unique name of the ERP-OFDM mode
+     * @param channelWidth the considered channel width
      *
-     * \return the physical bit rate of this signal in bps.
+     * @return the physical bit rate of this signal in bps.
      */
     static uint64_t GetPhyRate(const std::string& name, MHz_u channelWidth);
     /**
@@ -145,9 +145,9 @@
      * This function is mainly used as a callback
      * for WifiMode operation.
      *
-     * \param txVector the TXVECTOR used for the transmission
-     * \param staId the station ID (only here to have a common signature for all callbacks)
-     * \return the physical bit rate of this signal in bps.
+     * @param txVector the TXVECTOR used for the transmission
+     * @param staId the station ID (only here to have a common signature for all callbacks)
+     * @return the physical bit rate of this signal in bps.
      */
     static uint64_t GetPhyRateFromTxVector(const WifiTxVector& txVector, uint16_t staId);
     /**
@@ -156,9 +156,9 @@
      * This function is mainly used as a callback
      * for WifiMode operation.
      *
-     * \param txVector the TXVECTOR used for the transmission
-     * \param staId the station ID (only here to have a common signature for all callbacks)
-     * \return the data bit rate in bps.
+     * @param txVector the TXVECTOR used for the transmission
+     * @param staId the station ID (only here to have a common signature for all callbacks)
+     * @return the data bit rate in bps.
      */
     static uint64_t GetDataRateFromTxVector(const WifiTxVector& txVector, uint16_t staId);
     /**
@@ -166,18 +166,18 @@
      * the supplied parameters. This function calls OfdmPhy::CalculateDataRate
      * and is mainly used as a callback for WifiMode operation.
      *
-     * \param name the unique name of the ERP-OFDM mode
-     * \param channelWidth the considered channel width
+     * @param name the unique name of the ERP-OFDM mode
+     * @param channelWidth the considered channel width
      *
-     * \return the data bit rate of this signal in bps.
+     * @return the data bit rate of this signal in bps.
      */
     static uint64_t GetDataRate(const std::string& name, MHz_u channelWidth);
     /**
      * Check whether the combination in TXVECTOR is allowed.
      * This function is used as a callback for WifiMode operation.
      *
-     * \param txVector the TXVECTOR
-     * \returns true if this combination is allowed, false otherwise.
+     * @param txVector the TXVECTOR
+     * @returns true if this combination is allowed, false otherwise.
      */
     static bool IsAllowed(const WifiTxVector& txVector);
 
@@ -191,9 +191,9 @@
      * must already be contained inside ModulationLookupTable.
      * This method binds all the callbacks used by WifiMode.
      *
-     * \param uniqueName the unique name of the WifiMode
-     * \param isMandatory whether the WifiMode is mandatory
-     * \return the ERP-OFDM WifiMode
+     * @param uniqueName the unique name of the WifiMode
+     * @param isMandatory whether the WifiMode is mandatory
+     * @return the ERP-OFDM WifiMode
      */
     static WifiMode CreateErpOfdmMode(std::string uniqueName, bool isMandatory);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/non-ht/erp-ofdm-ppdu.cc ns-3.44/src/wifi/model/non-ht/erp-ofdm-ppdu.cc
--- ns-3.43/src/wifi/model/non-ht/erp-ofdm-ppdu.cc	2024-10-09 16:41:10.124656700 -0700
+++ ns-3.44/src/wifi/model/non-ht/erp-ofdm-ppdu.cc	2025-03-09 16:55:49.795372700 -0700
@@ -33,7 +33,7 @@
 ErpOfdmPpdu::SetTxVectorFromLSigHeader(WifiTxVector& txVector, const LSigHeader& lSig) const
 {
     txVector.SetMode(ErpOfdmPhy::GetErpOfdmRate(lSig.GetRate()));
-    txVector.SetChannelWidth(20);
+    txVector.SetChannelWidth(MHz_u{20});
 }
 
 Ptr<WifiPpdu>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/non-ht/erp-ofdm-ppdu.h ns-3.44/src/wifi/model/non-ht/erp-ofdm-ppdu.h
--- ns-3.43/src/wifi/model/non-ht/erp-ofdm-ppdu.h	2024-10-09 16:41:10.124656700 -0700
+++ ns-3.44/src/wifi/model/non-ht/erp-ofdm-ppdu.h	2025-03-09 16:55:49.795372700 -0700
@@ -13,8 +13,8 @@
 #include "ofdm-ppdu.h"
 
 /**
- * \file
- * \ingroup wifi
+ * @file
+ * @ingroup wifi
  * Declaration of ns3::ErpOfdmPpdu class.
  */
 
@@ -24,8 +24,8 @@
 class WifiPsdu;
 
 /**
- * \brief ERP-OFDM PPDU (11g)
- * \ingroup wifi
+ * @brief ERP-OFDM PPDU (11g)
+ * @ingroup wifi
  *
  * ErpOfdmPpdu stores a preamble, PHY headers and a PSDU of a PPDU with non-HT header,
  * i.e., PPDU that uses ERP-OFDM modulation.
@@ -36,10 +36,10 @@
     /**
      * Create an ERP-OFDM PPDU.
      *
-     * \param psdu the PHY payload (PSDU)
-     * \param txVector the TXVECTOR that was used for this PPDU
-     * \param channel the operating channel of the PHY used to transmit this PPDU
-     * \param uid the unique ID of this PPDU
+     * @param psdu the PHY payload (PSDU)
+     * @param txVector the TXVECTOR that was used for this PPDU
+     * @param channel the operating channel of the PHY used to transmit this PPDU
+     * @param uid the unique ID of this PPDU
      */
     ErpOfdmPpdu(Ptr<const WifiPsdu> psdu,
                 const WifiTxVector& txVector,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/non-ht/ofdm-phy.cc ns-3.44/src/wifi/model/non-ht/ofdm-phy.cc
--- ns-3.43/src/wifi/model/non-ht/ofdm-phy.cc	2024-10-09 16:41:10.124656700 -0700
+++ ns-3.44/src/wifi/model/non-ht/ofdm-phy.cc	2025-03-09 16:55:49.795372700 -0700
@@ -71,13 +71,13 @@
 
 /// OFDM rates in bits per second for each bandwidth
 const std::map<MHz_u, std::array<uint64_t, 8> > s_ofdmRatesBpsList =
-   {{ 20, // MHz
+   {{ MHz_u{20},
      {  6000000,  9000000, 12000000, 18000000,
        24000000, 36000000, 48000000, 54000000 }},
-   { 10, // MHz
+   { MHz_u{10},
      {  3000000,  4500000,  6000000,  9000000,
        12000000, 18000000, 24000000, 27000000 }},
-   { 5, // MHz
+   { MHz_u{5},
      {  1500000,  2250000,  3000000,  4500000,
         6000000,  9000000, 12000000, 13500000 }},
 };
@@ -87,7 +87,7 @@
 /**
  * Get the array of possible OFDM rates for each bandwidth.
  *
- * \return the OFDM rates in bits per second
+ * @return the OFDM rates in bits per second
  */
 const std::map<MHz_u, std::array<uint64_t, 8>>&
 GetOfdmRatesBpsList()
@@ -106,25 +106,25 @@
         switch (variant)
         {
         case OFDM_PHY_DEFAULT:
-            for (const auto& rate : bwRatesMap.at(20))
+            for (const auto& rate : bwRatesMap.at(MHz_u{20}))
             {
-                WifiMode mode = GetOfdmRate(rate, 20);
+                WifiMode mode = GetOfdmRate(rate, MHz_u{20});
                 NS_LOG_LOGIC("Add " << mode << " to list");
                 m_modeList.emplace_back(mode);
             }
             break;
         case OFDM_PHY_10_MHZ:
-            for (const auto& rate : bwRatesMap.at(10))
+            for (const auto& rate : bwRatesMap.at(MHz_u{10}))
             {
-                WifiMode mode = GetOfdmRate(rate, 10);
+                WifiMode mode = GetOfdmRate(rate, MHz_u{10});
                 NS_LOG_LOGIC("Add " << mode << " to list");
                 m_modeList.emplace_back(mode);
             }
             break;
         case OFDM_PHY_5_MHZ:
-            for (const auto& rate : bwRatesMap.at(5))
+            for (const auto& rate : bwRatesMap.at(MHz_u{5}))
             {
-                WifiMode mode = GetOfdmRate(rate, 5);
+                WifiMode mode = GetOfdmRate(rate, MHz_u{5});
                 NS_LOG_LOGIC("Add " << mode << " to list");
                 m_modeList.emplace_back(mode);
             }
@@ -334,7 +334,7 @@
 OfdmPhy::IsChannelWidthSupported(Ptr<const WifiPpdu> ppdu) const
 {
     const auto channelWidth = ppdu->GetTxVector().GetChannelWidth();
-    if ((channelWidth >= 40) && (channelWidth > m_wifiPhy->GetChannelWidth()))
+    if ((channelWidth >= MHz_u{40}) && (channelWidth > m_wifiPhy->GetChannelWidth()))
     {
         NS_LOG_DEBUG("Packet reception could not be started because not enough channel width ("
                      << channelWidth << " vs " << m_wifiPhy->GetChannelWidth() << ")");
@@ -631,11 +631,11 @@
 {
     Time symbolDuration = MicroSeconds(4);
     uint8_t bwFactor = 1;
-    if (channelWidth == 10)
+    if (channelWidth == MHz_u{10})
     {
         bwFactor = 2;
     }
-    else if (channelWidth == 5)
+    else if (channelWidth == MHz_u{5})
     {
         bwFactor = 4;
     }
@@ -659,7 +659,7 @@
 {
     if (!ppdu)
     {
-        return std::min<MHz_u>(m_wifiPhy->GetChannelWidth(), 20);
+        return std::min(m_wifiPhy->GetChannelWidth(), MHz_u{20});
     }
     return GetRxChannelWidth(ppdu->GetTxVector());
 }
@@ -667,11 +667,11 @@
 dBm_u
 OfdmPhy::GetCcaThreshold(const Ptr<const WifiPpdu> ppdu, WifiChannelListType channelType) const
 {
-    if (ppdu && ppdu->GetTxVector().GetChannelWidth() < 20)
+    if (ppdu && ppdu->GetTxVector().GetChannelWidth() < MHz_u{20})
     {
         // scale CCA sensitivity threshold for BW of 5 and 10 MHz
         const auto bw = GetRxChannelWidth(ppdu->GetTxVector());
-        const auto thresholdW = DbmToW(m_wifiPhy->GetCcaSensitivityThreshold()) * (bw / 20.0);
+        const auto thresholdW = DbmToW(m_wifiPhy->GetCcaSensitivityThreshold()) * (bw / MHz_u{20});
         return WToDbm(thresholdW);
     }
     return PhyEntity::GetCcaThreshold(ppdu, channelType);
